Index: trunk/SophyaProg/Tests/Makefile
===================================================================
--- trunk/SophyaProg/Tests/Makefile	(revision 3396)
+++ trunk/SophyaProg/Tests/Makefile	(revision 3399)
@@ -1,5 +1,5 @@
 include ../BuildMgr/sophyamake.inc
-
-PROGS = $(SOPHYAEXEP)arrt $(SOPHYAEXEP)carrt $(SOPHYAEXEP)lpk $(SOPHYAEXEP)obj_fits $(SOPHYAEXEP)ovharr $(SOPHYAEXEP)pizthr $(SOPHYAEXEP)ppftswap $(SOPHYAEXEP)spar $(SOPHYAEXEP)sphg0 $(SOPHYAEXEP)sph2lm $(SOPHYAEXEP)tcmd $(SOPHYAEXEP)tcxxcmpldynl $(SOPHYAEXEP)tdcr $(SOPHYAEXEP)tdynl $(SOPHYAEXEP)tfft $(SOPHYAEXEP)thash $(SOPHYAEXEP)timg $(SOPHYAEXEP)tmxv $(SOPHYAEXEP)tnt $(SOPHYAEXEP)tobjio2 $(SOPHYAEXEP)tobjio $(SOPHYAEXEP)tpipe $(SOPHYAEXEP)tsimplex $(SOPHYAEXEP)tsphereecp $(SOPHYAEXEP)tspm2 $(SOPHYAEXEP)tspm $(SOPHYAEXEP)tstboloread $(SOPHYAEXEP)tstcolread $(SOPHYAEXEP)tstdtable $(SOPHYAEXEP)tstndblk $(SOPHYAEXEP)tstppfwrapstl $(SOPHYAEXEP)tstsegdb $(SOPHYAEXEP)tswfits $(SOPHYAEXEP)tnfits $(SOPHYAEXEP)tfitsdt $(SOPHYAEXEP)tsttmat $(SOPHYAEXEP)tsttminv $(SOPHYAEXEP)tsttvec $(SOPHYAEXEP)ttimestamp $(SOPHYAEXEP)zthr $(SOPHYAEXEP)tmtrnd $(SOPHYAEXEP)tmtrnd3
+ 
+PROGS = $(SOPHYAEXEP)arrt $(SOPHYAEXEP)carrt $(SOPHYAEXEP)lpk $(SOPHYAEXEP)obj_fits $(SOPHYAEXEP)ovharr $(SOPHYAEXEP)pizthr $(SOPHYAEXEP)ppftswap $(SOPHYAEXEP)spar $(SOPHYAEXEP)sphg0 $(SOPHYAEXEP)sph2lm $(SOPHYAEXEP)tcmd $(SOPHYAEXEP)tcxxcmpldynl $(SOPHYAEXEP)tdcr $(SOPHYAEXEP)tdynl $(SOPHYAEXEP)tfft $(SOPHYAEXEP)thash $(SOPHYAEXEP)timg $(SOPHYAEXEP)tmxv $(SOPHYAEXEP)tnt $(SOPHYAEXEP)tobjio2 $(SOPHYAEXEP)tobjio $(SOPHYAEXEP)tpipe $(SOPHYAEXEP)tsimplex $(SOPHYAEXEP)tsphereecp $(SOPHYAEXEP)tspm2 $(SOPHYAEXEP)tspm $(SOPHYAEXEP)tstboloread $(SOPHYAEXEP)tstcolread $(SOPHYAEXEP)tstdtable $(SOPHYAEXEP)tstndblk $(SOPHYAEXEP)tstppfwrapstl $(SOPHYAEXEP)tstsegdb $(SOPHYAEXEP)tswfits $(SOPHYAEXEP)tnfits $(SOPHYAEXEP)tfitsdt $(SOPHYAEXEP)tsttmat $(SOPHYAEXEP)tsttminv $(SOPHYAEXEP)tsttvec $(SOPHYAEXEP)ttimestamp $(SOPHYAEXEP)zthr $(SOPHYAEXEP)tmtrnd $(SOPHYAEXEP)tmtrnd3 $(SOPHYAEXEP)tmtdt
  
 all: $(PROGS)
@@ -7,5 +7,5 @@
 clean:
 	rm -f $(PROGS)
-	rm -f $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAOBJP)tmtrnd.o $(SOPHYAOBJP)zthr.o $(SOPHYAOBJP)ttimestamp.o $(SOPHYAOBJP)tsttvec.o $(SOPHYAOBJP)tsttminv.o $(SOPHYAOBJP)tsttmat.o $(SOPHYAOBJP)tfitsdt.o $(SOPHYAOBJP)tnfits.o $(SOPHYAOBJP)tswfits.o $(SOPHYAOBJP)tstsegdb.o $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAOBJP)tstndblk.o $(SOPHYAOBJP)tstdtable.o $(SOPHYAOBJP)tstcolread.o $(SOPHYAOBJP)tstboloread.o $(SOPHYAOBJP)tspm.o $(SOPHYAOBJP)tspm2.o $(SOPHYAOBJP)tsphereecp.o $(SOPHYAOBJP)tsimplex.o $(SOPHYAOBJP)tpipe.o $(SOPHYAOBJP)tobjio.o $(SOPHYAOBJP)tobjio2.o $(SOPHYAOBJP)tnt.o $(SOPHYAOBJP)tmxv.o $(SOPHYAOBJP)timg.o $(SOPHYAOBJP)thash.o $(SOPHYAOBJP)tfft.o $(SOPHYAOBJP)tdynl.o $(SOPHYAOBJP)tdcr.o $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAOBJP)tcmd.o $(SOPHYAOBJP)sph2lm.o $(SOPHYAOBJP)sphg0.o $(SOPHYAOBJP)spar.o $(SOPHYAOBJP)ppftswap.o $(SOPHYAOBJP)pizthr.o $(SOPHYAOBJP)ovharr.o $(SOPHYAOBJP)obj_fits.o $(SOPHYAOBJP)lpk.o $(SOPHYAOBJP)carrt.o $(SOPHYAOBJP)arrt.o
+	rm -f $(SOPHYAOBJP)tmtdt.o $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAOBJP)tmtrnd.o $(SOPHYAOBJP)zthr.o $(SOPHYAOBJP)ttimestamp.o $(SOPHYAOBJP)tsttvec.o $(SOPHYAOBJP)tsttminv.o $(SOPHYAOBJP)tsttmat.o $(SOPHYAOBJP)tfitsdt.o $(SOPHYAOBJP)tnfits.o $(SOPHYAOBJP)tswfits.o $(SOPHYAOBJP)tstsegdb.o $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAOBJP)tstndblk.o $(SOPHYAOBJP)tstdtable.o $(SOPHYAOBJP)tstcolread.o $(SOPHYAOBJP)tstboloread.o $(SOPHYAOBJP)tspm.o $(SOPHYAOBJP)tspm2.o $(SOPHYAOBJP)tsphereecp.o $(SOPHYAOBJP)tsimplex.o $(SOPHYAOBJP)tpipe.o $(SOPHYAOBJP)tobjio.o $(SOPHYAOBJP)tobjio2.o $(SOPHYAOBJP)tnt.o $(SOPHYAOBJP)tmxv.o $(SOPHYAOBJP)timg.o $(SOPHYAOBJP)thash.o $(SOPHYAOBJP)tfft.o $(SOPHYAOBJP)tdynl.o $(SOPHYAOBJP)tdcr.o $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAOBJP)tcmd.o $(SOPHYAOBJP)sph2lm.o $(SOPHYAOBJP)sphg0.o $(SOPHYAOBJP)spar.o $(SOPHYAOBJP)ppftswap.o $(SOPHYAOBJP)pizthr.o $(SOPHYAOBJP)ovharr.o $(SOPHYAOBJP)obj_fits.o $(SOPHYAOBJP)lpk.o $(SOPHYAOBJP)carrt.o $(SOPHYAOBJP)arrt.o
  
 arrt: $(SOPHYAEXEP)arrt
@@ -219,9 +219,13 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAALLSLBLIST)
  
+tmtdt: $(SOPHYAEXEP)tmtdt
+	echo $@ " done"
+$(SOPHYAEXEP)tmtdt: $(SOPHYAOBJP)tmtdt.o
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmtdt.o $(SOPHYAALLSLBLIST)
+ 
 $(SOPHYAOBJP)arrt.o: arrt.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -254,5 +258,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -284,5 +287,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -314,5 +316,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lpk.cc
  
-$(SOPHYAOBJP)obj_fits.o: obj_fits.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)obj_fits.o: obj_fits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -333,8 +336,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -344,5 +345,4 @@
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)tarray.h \
@@ -363,5 +363,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -395,5 +394,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -401,5 +399,4 @@
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -429,11 +426,8 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)pimenux.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -463,5 +457,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pizthr.cc
  
-$(SOPHYAOBJP)ppftswap.o: ppftswap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ppftswap.o: ppftswap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -490,7 +485,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)tarrinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftswap.cc
  
@@ -499,5 +492,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -546,5 +538,4 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
@@ -625,5 +616,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)cexpre.h \
@@ -711,7 +701,5 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)psighand.h \
-  $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)srandgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdcr.cc
@@ -745,5 +733,4 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdynl.cc
@@ -752,5 +739,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)tarray.h \
@@ -816,5 +802,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fitshdtable.h \
-  $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)fitsinoutfile.h \
@@ -834,6 +819,5 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h
+  $(SOPHYAINCP)ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  thash.cc
  
@@ -868,9 +852,9 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timg.cc
  
-$(SOPHYAOBJP)tmtrnd.o: tmtrnd.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmtdt.o: tmtdt.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)sspvflags.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
@@ -898,11 +882,28 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)stsrand.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd.cc
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)swfitsdtable.h \
+  $(SOPHYAINCP)fitsswapper.h \
+  $(SOPHYAINCP)fitsblkrw.h \
+  $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)fitshdtable.h \
+  $(SOPHYAINCP)histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtdt.cc
  
 $(SOPHYAOBJP)tmtrnd3.o: tmtrnd3.cc $(SOPHYAINCP)sopnamsp.h \
@@ -930,5 +931,4 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -939,8 +939,40 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd3.cc
  
+$(SOPHYAOBJP)tmtrnd.o: tmtrnd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)stsrand.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd.cc
+ 
 $(SOPHYAOBJP)tmxv.o: tmxv.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -965,5 +997,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmxv.cc
@@ -976,5 +1007,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -1004,8 +1034,6 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitsblkrw.h \
-  $(SOPHYAINCP)fitsinoutfile.h \
   $(SOPHYAINCP)fitsarrhand.h \
   $(SOPHYAINCP)fitshandler.h \
-  $(SOPHYAINCP)fitsblkrw.h \
   $(SOPHYAINCP)fiosinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnfits.cc
@@ -1030,5 +1058,4 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)datatable.h \
@@ -1050,5 +1077,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnt.cc
  
-$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tobjio2.o: tobjio2.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1081,13 +1108,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
- 
-$(SOPHYAOBJP)tobjio2.o: tobjio2.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+ 
+$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1120,11 +1144,9 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
  
 $(SOPHYAOBJP)tpipe.o: tpipe.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1135,5 +1157,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tpipe.cc
  
-$(SOPHYAOBJP)tsimplex.o: tsimplex.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tsimplex.o: tsimplex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)simplex.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1170,5 +1193,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsimplex.cc
@@ -1189,5 +1211,4 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1214,5 +1235,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fiosphereecp.h \
-  $(SOPHYAINCP)sphereecp.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)matharr.h \
@@ -1237,51 +1257,4 @@
   $(SOPHYAINCP)tod.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsphereecp.cc
- 
-$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)skymap.h \
-  $(SOPHYAINCP)spherethetaphi.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)localmap.h \
-  $(SOPHYAINCP)sphereecp.h \
-  $(SOPHYAINCP)fiospherethetaphi.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h \
-  $(SOPHYAINCP)tod.h \
-  $(SOPHYAINCP)misstime.h \
-  $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
  
 $(SOPHYAOBJP)tspm2.o: tspm2.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1343,9 +1316,55 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm2.cc
  
+$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
+ 
 $(SOPHYAOBJP)tstboloread.o: tstboloread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fboloread.h \
@@ -1359,5 +1378,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1379,5 +1397,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fabtcolread.h \
@@ -1391,5 +1408,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1406,5 +1422,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstcolread.cc
  
-$(SOPHYAOBJP)tstdtable.o: tstdtable.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tstdtable.o: tstdtable.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1443,10 +1460,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstdtable.cc
  
-$(SOPHYAOBJP)tstndblk.o: tstndblk.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tstndblk.o: tstndblk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -1462,10 +1479,8 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ppfwrapstlv.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1474,5 +1489,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstppfwrapstl.cc
  
-$(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
@@ -1481,10 +1497,8 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)thsafeop.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1493,9 +1507,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfwrapstlv.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstsegdb.cc
@@ -1506,5 +1518,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1516,5 +1527,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1534,5 +1544,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttmat.cc
  
-$(SOPHYAOBJP)tsttminv.o: tsttminv.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tsttminv.o: tsttminv.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
@@ -1540,5 +1551,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1550,5 +1560,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1574,5 +1583,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1584,5 +1592,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1624,5 +1631,4 @@
   $(SOPHYAINCP)thsafeop.h \
   $(SOPHYAINCP)fitsinoutfile.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
@@ -1640,9 +1646,7 @@
   $(SOPHYAINCP)fiosinit.h \
   $(SOPHYAINCP)swfitsdtable.h \
-  $(SOPHYAINCP)fitsswapper.h \
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)datatable.h \
-  $(SOPHYAINCP)fitshdtable.h \
-  $(SOPHYAINCP)datatable.h
+  $(SOPHYAINCP)fitshdtable.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tswfits.cc
  
@@ -1652,5 +1656,4 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1665,5 +1668,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ppfwrapstlv.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ttimestamp.cc
@@ -1691,5 +1693,4 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)matharr.h \
Index: trunk/SophyaProg/Tests/programs
===================================================================
--- trunk/SophyaProg/Tests/programs	(revision 3396)
+++ trunk/SophyaProg/Tests/programs	(revision 3399)
@@ -41,2 +41,3 @@
 tmtrnd tmtrnd.o
 tmtrnd3 tmtrnd3.o
+tmtdt tmtdt.o
Index: trunk/SophyaProg/Tests/smakefile
===================================================================
--- trunk/SophyaProg/Tests/smakefile	(revision 3396)
+++ trunk/SophyaProg/Tests/smakefile	(revision 3399)
@@ -1,5 +1,6 @@
 include $(SOPHYABASE)/include/sophyamake.inc
- 
-PROGS = $(SOPHYAEXEP)arrt $(SOPHYAEXEP)carrt $(SOPHYAEXEP)lpk $(SOPHYAEXEP)obj_fits $(SOPHYAEXEP)ovharr $(SOPHYAEXEP)pizthr $(SOPHYAEXEP)ppftswap $(SOPHYAEXEP)spar $(SOPHYAEXEP)sphg0 $(SOPHYAEXEP)sph2lm $(SOPHYAEXEP)tcmd $(SOPHYAEXEP)tcxxcmpldynl $(SOPHYAEXEP)tdcr $(SOPHYAEXEP)tdynl $(SOPHYAEXEP)tfft $(SOPHYAEXEP)thash $(SOPHYAEXEP)timg $(SOPHYAEXEP)tmxv $(SOPHYAEXEP)tnt $(SOPHYAEXEP)tobjio2 $(SOPHYAEXEP)tobjio $(SOPHYAEXEP)tpipe $(SOPHYAEXEP)tsimplex $(SOPHYAEXEP)tsphereecp $(SOPHYAEXEP)tspm2 $(SOPHYAEXEP)tspm $(SOPHYAEXEP)tstboloread $(SOPHYAEXEP)tstcolread $(SOPHYAEXEP)tstdtable $(SOPHYAEXEP)tstndblk $(SOPHYAEXEP)tstppfwrapstl $(SOPHYAEXEP)tstsegdb $(SOPHYAEXEP)tswfits $(SOPHYAEXEP)tnfits $(SOPHYAEXEP)tfitsdt $(SOPHYAEXEP)tsttmat $(SOPHYAEXEP)tsttminv $(SOPHYAEXEP)tsttvec $(SOPHYAEXEP)ttimestamp $(SOPHYAEXEP)zthr $(SOPHYAEXEP)tmtrnd $(SOPHYAEXEP)tmtrnd3
+
+ 
+PROGS = $(SOPHYAEXEP)arrt $(SOPHYAEXEP)carrt $(SOPHYAEXEP)lpk $(SOPHYAEXEP)obj_fits $(SOPHYAEXEP)ovharr $(SOPHYAEXEP)pizthr $(SOPHYAEXEP)ppftswap $(SOPHYAEXEP)spar $(SOPHYAEXEP)sphg0 $(SOPHYAEXEP)sph2lm $(SOPHYAEXEP)tcmd $(SOPHYAEXEP)tcxxcmpldynl $(SOPHYAEXEP)tdcr $(SOPHYAEXEP)tdynl $(SOPHYAEXEP)tfft $(SOPHYAEXEP)thash $(SOPHYAEXEP)timg $(SOPHYAEXEP)tmxv $(SOPHYAEXEP)tnt $(SOPHYAEXEP)tobjio2 $(SOPHYAEXEP)tobjio $(SOPHYAEXEP)tpipe $(SOPHYAEXEP)tsimplex $(SOPHYAEXEP)tsphereecp $(SOPHYAEXEP)tspm2 $(SOPHYAEXEP)tspm $(SOPHYAEXEP)tstboloread $(SOPHYAEXEP)tstcolread $(SOPHYAEXEP)tstdtable $(SOPHYAEXEP)tstndblk $(SOPHYAEXEP)tstppfwrapstl $(SOPHYAEXEP)tstsegdb $(SOPHYAEXEP)tswfits $(SOPHYAEXEP)tnfits $(SOPHYAEXEP)tfitsdt $(SOPHYAEXEP)tsttmat $(SOPHYAEXEP)tsttminv $(SOPHYAEXEP)tsttvec $(SOPHYAEXEP)ttimestamp $(SOPHYAEXEP)zthr $(SOPHYAEXEP)tmtrnd $(SOPHYAEXEP)tmtrnd3 $(SOPHYAEXEP)tmtdt
  
 all: $(PROGS)
@@ -7,5 +8,5 @@
 clean:
 	rm -f $(PROGS)
-	rm -f $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAOBJP)tmtrnd.o $(SOPHYAOBJP)zthr.o $(SOPHYAOBJP)ttimestamp.o $(SOPHYAOBJP)tsttvec.o $(SOPHYAOBJP)tsttminv.o $(SOPHYAOBJP)tsttmat.o $(SOPHYAOBJP)tfitsdt.o $(SOPHYAOBJP)tnfits.o $(SOPHYAOBJP)tswfits.o $(SOPHYAOBJP)tstsegdb.o $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAOBJP)tstndblk.o $(SOPHYAOBJP)tstdtable.o $(SOPHYAOBJP)tstcolread.o $(SOPHYAOBJP)tstboloread.o $(SOPHYAOBJP)tspm.o $(SOPHYAOBJP)tspm2.o $(SOPHYAOBJP)tsphereecp.o $(SOPHYAOBJP)tsimplex.o $(SOPHYAOBJP)tpipe.o $(SOPHYAOBJP)tobjio.o $(SOPHYAOBJP)tobjio2.o $(SOPHYAOBJP)tnt.o $(SOPHYAOBJP)tmxv.o $(SOPHYAOBJP)timg.o $(SOPHYAOBJP)thash.o $(SOPHYAOBJP)tfft.o $(SOPHYAOBJP)tdynl.o $(SOPHYAOBJP)tdcr.o $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAOBJP)tcmd.o $(SOPHYAOBJP)sph2lm.o $(SOPHYAOBJP)sphg0.o $(SOPHYAOBJP)spar.o $(SOPHYAOBJP)ppftswap.o $(SOPHYAOBJP)pizthr.o $(SOPHYAOBJP)ovharr.o $(SOPHYAOBJP)obj_fits.o $(SOPHYAOBJP)lpk.o $(SOPHYAOBJP)carrt.o $(SOPHYAOBJP)arrt.o
+	rm -f $(SOPHYAOBJP)tmtdt.o $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAOBJP)tmtrnd.o $(SOPHYAOBJP)zthr.o $(SOPHYAOBJP)ttimestamp.o $(SOPHYAOBJP)tsttvec.o $(SOPHYAOBJP)tsttminv.o $(SOPHYAOBJP)tsttmat.o $(SOPHYAOBJP)tfitsdt.o $(SOPHYAOBJP)tnfits.o $(SOPHYAOBJP)tswfits.o $(SOPHYAOBJP)tstsegdb.o $(SOPHYAOBJP)tstppfwrapstl.o $(SOPHYAOBJP)tstndblk.o $(SOPHYAOBJP)tstdtable.o $(SOPHYAOBJP)tstcolread.o $(SOPHYAOBJP)tstboloread.o $(SOPHYAOBJP)tspm.o $(SOPHYAOBJP)tspm2.o $(SOPHYAOBJP)tsphereecp.o $(SOPHYAOBJP)tsimplex.o $(SOPHYAOBJP)tpipe.o $(SOPHYAOBJP)tobjio.o $(SOPHYAOBJP)tobjio2.o $(SOPHYAOBJP)tnt.o $(SOPHYAOBJP)tmxv.o $(SOPHYAOBJP)timg.o $(SOPHYAOBJP)thash.o $(SOPHYAOBJP)tfft.o $(SOPHYAOBJP)tdynl.o $(SOPHYAOBJP)tdcr.o $(SOPHYAOBJP)tcxxcmpldynl.o $(SOPHYAOBJP)tcmd.o $(SOPHYAOBJP)sph2lm.o $(SOPHYAOBJP)sphg0.o $(SOPHYAOBJP)spar.o $(SOPHYAOBJP)ppftswap.o $(SOPHYAOBJP)pizthr.o $(SOPHYAOBJP)ovharr.o $(SOPHYAOBJP)obj_fits.o $(SOPHYAOBJP)lpk.o $(SOPHYAOBJP)carrt.o $(SOPHYAOBJP)arrt.o
  
 arrt: $(SOPHYAEXEP)arrt
@@ -219,9 +220,13 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmtrnd3.o $(SOPHYAALLSLBLIST)
  
+tmtdt: $(SOPHYAEXEP)tmtdt
+	echo $@ " done"
+$(SOPHYAEXEP)tmtdt: $(SOPHYAOBJP)tmtdt.o
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)tmtdt.o $(SOPHYAALLSLBLIST)
+ 
 $(SOPHYAOBJP)arrt.o: arrt.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -254,5 +259,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -284,5 +288,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -314,5 +317,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lpk.cc
  
-$(SOPHYAOBJP)obj_fits.o: obj_fits.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)obj_fits.o: obj_fits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -333,8 +337,6 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -344,5 +346,4 @@
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)tarray.h \
@@ -363,5 +364,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -395,5 +395,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -401,5 +400,4 @@
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -429,11 +427,8 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)pimenux.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -463,5 +458,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pizthr.cc
  
-$(SOPHYAOBJP)ppftswap.o: ppftswap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ppftswap.o: ppftswap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)machdefs.h \
@@ -490,7 +486,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)fiondblock.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)tarrinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftswap.cc
  
@@ -499,5 +493,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -546,5 +539,4 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
@@ -625,5 +617,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)cexpre.h \
@@ -711,7 +702,5 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)psighand.h \
-  $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)srandgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdcr.cc
@@ -745,5 +734,4 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tdynl.cc
@@ -752,5 +740,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)tarray.h \
@@ -816,5 +803,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fitshdtable.h \
-  $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)fitsinoutfile.h \
@@ -834,6 +820,5 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h
+  $(SOPHYAINCP)ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  thash.cc
  
@@ -868,9 +853,9 @@
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timg.cc
  
-$(SOPHYAOBJP)tmtrnd.o: tmtrnd.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmtdt.o: tmtdt.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)sspvflags.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
@@ -898,11 +883,28 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)stsrand.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd.cc
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)swfitsdtable.h \
+  $(SOPHYAINCP)fitsswapper.h \
+  $(SOPHYAINCP)fitsblkrw.h \
+  $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)fitshdtable.h \
+  $(SOPHYAINCP)histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtdt.cc
  
 $(SOPHYAOBJP)tmtrnd3.o: tmtrnd3.cc $(SOPHYAINCP)sopnamsp.h \
@@ -930,5 +932,4 @@
   $(SOPHYAINCP)matharr.h \
   $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -939,8 +940,40 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd3.cc
  
+$(SOPHYAOBJP)tmtrnd.o: tmtrnd.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)stsrand.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmtrnd.cc
+ 
 $(SOPHYAOBJP)tmxv.o: tmxv.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
@@ -965,5 +998,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)sopemtx.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmxv.cc
@@ -976,5 +1008,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)tarray.h \
@@ -1004,8 +1035,6 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitsblkrw.h \
-  $(SOPHYAINCP)fitsinoutfile.h \
   $(SOPHYAINCP)fitsarrhand.h \
   $(SOPHYAINCP)fitshandler.h \
-  $(SOPHYAINCP)fitsblkrw.h \
   $(SOPHYAINCP)fiosinit.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnfits.cc
@@ -1030,5 +1059,4 @@
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)datatable.h \
@@ -1050,5 +1078,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tnt.cc
  
-$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tobjio2.o: tobjio2.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1081,13 +1109,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
- 
-$(SOPHYAOBJP)tobjio2.o: tobjio2.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+ 
+$(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1120,11 +1145,9 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio2.cc
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)fioarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tobjio.cc
  
 $(SOPHYAOBJP)tpipe.o: tpipe.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1135,5 +1158,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tpipe.cc
  
-$(SOPHYAOBJP)tsimplex.o: tsimplex.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tsimplex.o: tsimplex.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)simplex.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1170,5 +1194,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsimplex.cc
@@ -1189,5 +1212,4 @@
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1214,5 +1236,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)fiosphereecp.h \
-  $(SOPHYAINCP)sphereecp.h \
   $(SOPHYAINCP)array.h \
   $(SOPHYAINCP)matharr.h \
@@ -1237,51 +1258,4 @@
   $(SOPHYAINCP)tod.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsphereecp.cc
- 
-$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)skymapinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)skymap.h \
-  $(SOPHYAINCP)spherethetaphi.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)localmap.h \
-  $(SOPHYAINCP)sphereecp.h \
-  $(SOPHYAINCP)fiospherethetaphi.h \
-  $(SOPHYAINCP)fiospherehealpix.h \
-  $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h \
-  $(SOPHYAINCP)tod.h \
-  $(SOPHYAINCP)misstime.h \
-  $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
  
 $(SOPHYAOBJP)tspm2.o: tspm2.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1343,9 +1317,55 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm2.cc
  
+$(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tspm.cc
+ 
 $(SOPHYAOBJP)tstboloread.o: tstboloread.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fboloread.h \
@@ -1359,5 +1379,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1379,5 +1398,4 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fabtcolread.h \
@@ -1391,5 +1409,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1406,5 +1423,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstcolread.cc
  
-$(SOPHYAOBJP)tstdtable.o: tstdtable.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tstdtable.o: tstdtable.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
@@ -1443,10 +1461,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstdtable.cc
  
-$(SOPHYAOBJP)tstndblk.o: tstndblk.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tstndblk.o: tstndblk.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -1462,10 +1480,8 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ppfwrapstlv.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1474,5 +1490,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstppfwrapstl.cc
  
-$(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
@@ -1481,10 +1498,8 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)thsafeop.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1493,9 +1508,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfwrapstlv.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tstsegdb.cc
@@ -1506,5 +1519,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1516,5 +1528,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1534,5 +1545,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tsttmat.cc
  
-$(SOPHYAOBJP)tsttminv.o: tsttminv.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tsttminv.o: tsttminv.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timing.h \
@@ -1540,5 +1552,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1550,5 +1561,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1574,5 +1584,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)array.h \
@@ -1584,5 +1593,4 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -1624,5 +1632,4 @@
   $(SOPHYAINCP)thsafeop.h \
   $(SOPHYAINCP)fitsinoutfile.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
@@ -1640,9 +1647,7 @@
   $(SOPHYAINCP)fiosinit.h \
   $(SOPHYAINCP)swfitsdtable.h \
-  $(SOPHYAINCP)fitsswapper.h \
   $(SOPHYAINCP)fitshandler.h \
   $(SOPHYAINCP)datatable.h \
-  $(SOPHYAINCP)fitshdtable.h \
-  $(SOPHYAINCP)datatable.h
+  $(SOPHYAINCP)fitshdtable.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tswfits.cc
  
@@ -1652,5 +1657,4 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1665,5 +1669,4 @@
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)ppfwrapstlv.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ttimestamp.cc
@@ -1691,5 +1694,4 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)matharr.h \
